Skip to main content
GET
Get specific resthook subscription

Authorizations

Authorization
string
header
required

Basic authentication using an API key, e.g. {Authorization: Bearer 75z0bb4fbdf97b7e4111ff6c0015471094155f91}. You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.

Path Parameters

id
integer
required

Resthook subscription's ID Resthook subscription's ID.

Required range: x >= 1

Response

Successfully retrieved resthook subscription.

id
integer
required

Resthook subscription's ID.

Required range: x >= 1
event
enum<string>
required

The event name to subscribe to.

Available options:
resume.parse.succeeded,
resume.parse.failed,
resume.parse.completed,
invoice.parse.succeeded,
invoice.parse.failed,
invoice.parse.completed,
invoice.validate.completed,
document.parse.succeeded,
document.parse.failed,
document.parse.completed,
document.validate.completed,
document.classify.succeeded,
document.classify.failed,
document.classify.completed,
document.rejected,
annotation.validated
Example:

"document.parse.succeeded"

targetUrl
string
required

URL of the resthook's receiver.

Example:

"https://my-site.com/receive"

active
boolean
required

Resthooks only fire for active subscriptions.

Example:

true

autoDeactivated
boolean
required

Resthook subscriptions can be auto deactivated if the receiver continuously returns error status code over a period of time.

Example:

true

autoDeactivateReason
string
required

The reason for the subscription being auto deactivated. May contains the error response that the receiver returned.

Example:

"Resthook fails after 10 retries. The last error received was: 500 - Internal server error."

version
enum<string>
required

Version of the resthook subscription. Determines the resthook body being fired.

Available options:
v1,
v2,
v3
Example:

"v3"